Index: Dev/trunk/client/qed/.htmlhintrc
===================================================================
--- Dev/trunk/client/qed/.htmlhintrc	(revision 432)
+++ Dev/trunk/client/qed/.htmlhintrc	(revision 433)
@@ -3,5 +3,5 @@
     "attr-lowercase": true,
     "attr-value-double-quotes": true,
-    "attr-value-not-empty": true,
+    "attr-value-not-empty": false,
     "tag-pair": true,
     "tag-self-close": true,
Index: Dev/trunk/client/qed/Gruntfile.js
===================================================================
--- Dev/trunk/client/qed/Gruntfile.js	(revision 432)
+++ Dev/trunk/client/qed/Gruntfile.js	(revision 433)
@@ -8,5 +8,6 @@
         less: {
             options: {
-                strictImports: true
+                strictImports: false,
+                dumpLineNumbers: "all"
             },
             all: {
Index: Dev/trunk/client/qed/model/widgets/SurveyWidget.js
===================================================================
--- Dev/trunk/client/qed/model/widgets/SurveyWidget.js	(revision 432)
+++ Dev/trunk/client/qed/model/widgets/SurveyWidget.js	(revision 433)
@@ -1,13 +1,14 @@
 define([
-    'dojo/_base/array',
-    'dojo/_base/declare',
-    'dijit/_Container',
-    'dijit/_WidgetBase',
-    'dijit/_TemplatedMixin',
-    'dijit/_WidgetsInTemplateMixin',
-    '../classes/Survey',
-    '../widgets/QuestionWidgetFactory',
-    'dojo/text!./templates/SurveyWidget.html'
-],function(array,declare,_Container,_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,Survey,QuestionWidgetFactory,template){
+    "../classes/Survey",
+    "../widgets/QuestionWidgetFactory",
+    "dijit/_Container",
+    "dijit/_TemplatedMixin",
+    "dijit/_WidgetBase",
+    "dijit/_WidgetsInTemplateMixin",
+    "dojo/_base/array",
+    "dojo/_base/declare",
+    "dojo/dom-construct",
+    "dojo/text!./templates/SurveyWidget.html"
+], function(Survey, QuestionWidgetFactory, _Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, array, declare, domConstruct, template) {
     return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
         templateString: template,
@@ -21,5 +22,5 @@
         },
         _setSurveyAttr: function(survey) {
-            this.domNode.innerHTML = "";
+            domConstruct.empty(this.domNode);
             this.survey = survey;
             var f = new QuestionWidgetFactory();
Index: Dev/trunk/client/qed/widgets/ScaleWidget.js
===================================================================
--- Dev/trunk/client/qed/widgets/ScaleWidget.js	(revision 433)
+++ Dev/trunk/client/qed/widgets/ScaleWidget.js	(revision 433)
@@ -0,0 +1,80 @@
+define([
+    "dijit/_Container",
+    "dijit/_TemplatedMixin",
+    "dijit/_WidgetBase",
+    "dijit/form/RadioButton",
+    "dijit/form/_FormMixin",
+    "dojo/_base/array",
+    "dojo/_base/declare",
+    "dojo/_base/lang",
+    "dojo/dom-attr",
+    "dojo/dom-construct",
+    "dojo/text!./templates/ScaleWidget.html"
+], function(_Container, _TemplatedMixin, _WidgetBase, RadioButton, _FormMixin, array, declare, lang, domAttr, domConstruct, template) {
+    return declare([_WidgetBase,_TemplatedMixin,_Container,_FormMixin],{
+        templateString: template,
+        baseClass: "qedScaleWidget",
+        min: 0,
+        max: 0,
+        minLabel: "",
+        maxLabel: "",
+        naLabel: null,
+        items: null,
+        value: null,
+        constuctor: function() {
+            this.items = [];
+            this.value = {};
+        },
+        startup: function() {
+            if ( this._started ) { return; }
+            this.inherited(arguments);
+            this._renderHead();
+            this._renderItems();
+        },
+        _renderHead: function() {
+            for (var i = this.min; i <= this.max; i++) {
+                domConstruct.create("th", {
+                    innerHTML: i.toString()
+                }, this.rangeNode, "after");
+            }
+            if ( this.naLabel !== null ) {
+                this.naNode.innerHTML = this.naLabel;
+            }
+        },
+        _renderItems: function() {
+            array.forEach(this.items, function(item,index) {
+                var tr = domConstruct.create("tr", {}, this.itemsNode);
+                var td;
+                var radio;
+                domConstruct.create("th", {
+                    innerHTML: item.text || "",
+                    'class': "item"
+                }, tr);
+                domConstruct.create("th", {
+                    innerHTML: item.minLabel || "",
+                    'class': 'min'
+                }, tr);
+                for (var i = this.min; i <= this.max; i++) {
+                    td = domConstruct.create("td", {}, tr);
+                    radio = new RadioButton({
+                        name: index.toString(),
+                        value: i.toString()
+                    });
+                    domConstruct.place(radio.domNode, td); 
+                }
+                domConstruct.create("th", {
+                    innerHTML: item.maxLabel || "",
+                    className: 'max'
+                }, tr);
+                if ( this.naLabel !== null ) {
+                    td = domConstruct.create("td", {}, tr);
+                    radio = new RadioButton({
+                        name: index.toString(),
+                        value: "n/a"
+                    });
+                    domConstruct.place(radio.domNode, td); 
+                }
+            }, this);
+        }
+    });
+});
